Void an APM transaction

Voids a transaction run using an Alternative Payment Method.

If you do not know the paymentId or amount to use, make a call with the View transactions endpoint with the query filter of transactionStatus=10 and plugin= to get an array of possible transactions that have authorized but are not yet settled.

For more help with this endpoint, see the Void an APM transaction tutorial in Guides.

Try It

To use the Try It feature for this endpoint, you can use the credentials for your Sandbox API user.

You can also use the following test account (that is connected with PayPal). Copy the value and paste it into the appropriate space in the Try It section to the right. username: [email protected] password: JZdzoXpdDeH6VA

Include the paymentID of the transaction in your request.

Request parameters

  • id
  • data
  • data.amount

Response parameters

  • id
  • merchantId
  • transactionDate
  • amount
  • transactionType
  • currency
  • gatewayResponse
  • gatewayResponse.gatewayName
  • gatewayResponse.refNumber
  • data
  • data.amount
  • data.currency
  • data.settlementCurrency
  • message
Body Params
string
required

The Nexio ID for the payment request. This parameter is commonly known as the paymentId.

You can use this in the View transaction by payment ID endpoint within about a minute of running the transaction. Or, you can use it in the View transactions endpoint by including the value for the plugin.originalId query parameter.

data
object

Transaction data

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json